// gnome.xonotic.in.ua

models/mapobjects/altar/altar_blooddrip
{
	{
		map models/mapobjects/altar/altar_blooddrip.tga
		tcmod scroll 0.0 -0.6
	}
}

models/mapobjects/altar/altar_bloodpool
{
	{
		map textures/liquids/proto_grueldark2.tga
		tcmod turb .3 .2 1 .05
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/proto_gruel3.tga
		blendfunc gl_one gl_one
		tcmod turb .2 .1 1 .05
		tcmod scale .5 .5
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc gl_zero gl_src_color
		tcmod turb .2 .1 .1 .2
		tcmod scale .05 .05
		tcmod scroll .001 .001
	}
}

models/mapobjects/altar/altar_skull
{
	{
		map textures/necronomicon/necro_lava.tga
		tcmod scroll 0 .5
		tcmod turb 0 .25 0 2.6
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		rgbgen wave sin .5 .5 0 .2
	}
	{
		map models/mapobjects/altar/altar_skull.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

models/mapobjects/altar/altar_surf
{
	{
		map textures/liquids/proto_grueldark2.tga
		blendfunc gl_one gl_zero
		tcmod scale 2 2
		tcmod scroll .01 .02
		tcmod turb 0 0.02 0 .02
	}
	{
		map models/mapobjects/altar/altar_surf.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

models/mapobjects/font/font_blood
{
	{
		map textures/liquids/proto_grueldark2.tga
		tcmod turb .3 .2 1 .05
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/proto_gruel3.tga
		blendfunc gl_one gl_one
		tcmod turb .2 .1 1 .05
		tcmod scale .5 .5
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc gl_zero gl_src_color
		tcmod turb .2 .1 .1 .2
		tcmod scale .05 .05
		tcmod scroll .001 .001
	}
}

models/mapobjects/grim/u_grim
{
	cull none
	{
		map models/mapobjects/grim/u_grim.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_floor/proto_rustygrate
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/proto_rustygrate2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gothic_block/demon_block15fx
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 4 4
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/demon_block15fx.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_block/killblockgeomtrn
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/killblockgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_light/ironcrosslt1_3000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrosslt1_4000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 4000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrossltred_2000
{
	qer_editorimage textures/gothic_light/ironcrossltred.tga
	q3map_lightimage textures/gothic_light/ironcrossltred.blend.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrossltred.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrossltred.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/necronomicon/blocks15_ma_chrome
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcmod scale 0.75 0.75
		tcgen environment
	}
	{
		map textures/necronomicon/blocks15_ma_chrome.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/necronomicon/bloodpool_1
{
	qer_editorimage textures/liquids/proto_grueldark2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/proto_grueldark2.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/proto_gruel3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/necronomicon/bounce_redpulse
{
	qer_editorimage textures/necronomicon/largerblock3b_bounce.tga
	q3map_lightimage textures/necronomicon/redpulse1.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	nopicmip
	{
		map textures/necronomicon/largerblock3b_bounce.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/sfx/pentagramfloor_red_glow.tga
		blendfunc add
		rgbgen wave sin -0.2 0.7 0.7 0.8
	}
	{
		clampmap textures/necronomicon/redpulse1.tga
		blendfunc add
		rgbgen wave square 0.4 0.8 0 0.8
		tcmod stretch sin 0.4 1 0 0.8
		tcmod rotate 620
	}
	{
		clampmap textures/necronomicon/redpulse2.tga
		blendfunc add
		rgbgen wave square 0.5 0.8 0 0.8
		tcmod stretch sin 0.5 1 0 0.8
		tcmod rotate -680
	}
}

textures/necronomicon/flameanim_blue_necro
{
	qer_editorimage textures/sfx/b_flame1.tga
	q3map_lightimage textures/sfx/b_flame3.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		animmap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/b_flameball.tga
		blendfunc add
		rgbgen wave sin 0.6 0.2 0 0.6
	}
}

textures/necronomicon/flameanim_red_necro
{
	qer_editorimage textures/sfx/r_flame1.tga
	q3map_lightimage textures/sfx/r_flame3.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		animmap 10 textures/sfx/r_flame1.tga textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga textures/sfx/r_flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/r_flameball.tga
		blendfunc add
		rgbgen wave sin 0.6 0.2 0 0.6
	}
}

textures/necronomicon/hellportal_1
{
	qer_editorimage textures/necronomicon/portalburst_1.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	q3map_surfacelight 500
	{
		map textures/necronomicon/portalburst_2.tga
		blendfunc add
		tcmod turb 0 0.01 0 2
		tcmod rotate 360
	}
	{
		map textures/necronomicon/portalburst_1.tga
		blendfunc add
		tcmod turb 0 0.8 0 0.5
		tcmod stretch sin 3 0.5 0 1
		tcmod rotate 25
		tcmod scroll 0.3 -0.3
	}
}

textures/necronomicon/killblock_ma_chrome
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcmod scale 0.75 0.75
		tcgen environment
	}
	{
		map textures/necronomicon/killblock_ma_chrome.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/necronomicon/necro_gate1
{
	qer_editorimage textures/necronomicon/smallerblock3b3dim_gate1.tga
	{
		map textures/necronomicon/smallerblock3b3dim_gate1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/necronomicon/gate1_red_glow.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 0.5
	}
}

textures/necronomicon/necro_glow_gate1
{
	qer_editorimage textures/necronomicon/gate1_red_glow.tga
	q3map_lightimage textures/necronomicon/gate1_red_glow.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.5
	q3map_surfacelight 150
	{
		map textures/necronomicon/gate1_red_glow.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 0.5
	}
}

textures/necronomicon/necro_lava
{
	qer_editorimage textures/necronomicon/necro_lava.tga
	surfaceparm lava
	surfaceparm noimpact
	surfaceparm nolightmap
	cull disable
	q3map_lightsubdivide 32
	q3map_surfacelight 1500
	q3map_globaltexture
	{
		map textures/necronomicon/necro_lava.tga
		tcmod turb 0 0.1 0 0.1
	}
}

textures/necronomicon/necro_light1_1k
{
	qer_editorimage textures/necronomicon/necro_light1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		tcgen lightmap
	}
	{
		map textures/necronomicon/necro_light1.tga
		blendfunc filter
	}
	{
		map textures/necronomicon/necro_light1_blend.tga
		blendfunc add
		rgbgen wave sin 0.8 0.2 0 1
	}
}

textures/necronomicon/necronomicon_sky_1
{
	qer_editorimage textures/skies/killsky_1.tga
	q3map_lightimage textures/common/white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 200
	q3map_sun 1 0.8 0.8 75 90 100
	skyparms - 512 -
	{
		map textures/skies/killsky_1.tga
		rgbgen identity
		tcmod scroll 0.02 0.02
		tcmod scale 5 4
		depthwrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 0.01 0.01
		tcmod scale 4 5
	}
}

textures/necronomicon/necronomicon_sky_2
{
	qer_editorimage textures/skies/killsky_1.tga
	q3map_lightimage textures/common/white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 200
	q3map_sun 1 0.8 0.8 75 270 100
	skyparms - 512 -
	{
		map textures/skies/killsky_1.tga
		rgbgen identity
		tcmod scroll 0.02 0.02
		tcmod scale 5 4
		depthwrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 0.01 0.01
		tcmod scale 4 5
	}
}

textures/necronomicon/necro_summon
{
	qer_editorimage textures/necronomicon/necro_summon.tga
	{
		map textures/necronomicon/necro_lava.tga
		rgbgen identity
		tcmod scroll 0 0.5
		tcmod turb 0 0.25 0 2.6
		tcmod scale 1 1
	}
	{
		map textures/necronomicon/necro_summon.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/necronomicon/necro_summon_blue
{
	qer_editorimage textures/necronomicon/necro_summon.tga
	{
		map textures/effects/redflagmap.tga
		rgbgen identity
		tcmod scroll 0 0.5
		tcmod turb 0 0.25 0 2.6
		tcmod scale 1 1
	}
	{
		map textures/necronomicon/necro_summon.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/necronomicon/rusty_necrograte
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/necronomicon/rusty_necrograte.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_1.tga
		blendfunc add
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

